#!/usr/bin/env python

# An OpenDocMill template is divided by "heading1" sections into independent
# chunks.  The sections are omitted, repeated or reordered according to the
# data provided.

# Here we create an example structure, containing our report data.  This can
# then be used with the template, to create an output document.

REPORT_DATA = [] # list of sections, in desired output order

REPORT_DATA.append(dict(
    name="Contents",
    fields=dict(date="16 April 2008"),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Cyprus', nameEN='Cyprus'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Nicosia (Lefkosia, Lefko\u015fa)'),
    dict(factName='Independence from UK', factVal=u'16 August 1960'),
    dict(factName='GDP per capita (PPP)', factVal=u'$46,865'),
    dict(factName='Population', factVal=u'788,457'),
    dict(factName='Time zone', factVal=u'EET (UTC+2), EEST (UTC+3)'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Cyprus.png",
        map="test/img/map-Cyprus.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Czech_Republic', nameEN='Czech_Republic'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Prague'),
    dict(factName='GDP per capita (PPP)', factVal=u'$25,346'),
    dict(factName='Population', factVal=u'10,230,060'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Czech_Republic.png",
        map="test/img/map-Czech_Republic.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Denmark', nameEN='Denmark'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Copenhagen'),
    dict(factName='GDP per capita (PPP)', factVal=u'$37,000'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Denmark.png",
        map="test/img/map-Denmark.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Estonia', nameEN='Estonia'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Tallinn'),
    dict(factName='GDP per capita (PPP)', factVal=u'$21,800'),
    dict(factName='Population', factVal=u'1,376,743'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Estonia.png",
        map="test/img/map-Estonia.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Finland', nameEN='Finland'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Helsinki'),
    dict(factName='GDP per capita (PPP)', factVal=u'$34,819'),
    dict(factName='Population', factVal=u'5,155,000'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Finland.png",
        map="test/img/map-Finland.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='France', nameEN='France'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Paris'),
    dict(factName='GDP per capita (PPP)', factVal=u'US $30,100'),
        ],
    ),
    images=dict(
        flag="test/img/flag-France.png",
        map="test/img/map-France.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Germany', nameEN='Germany'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Berlin'),
    dict(factName='GDP per capita (PPP)', factVal=u'$34,181'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Germany.png",
        map="test/img/map-Germany.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Greece', nameEN='Greece'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Athens'),
    dict(factName='GDP per capita (PPP)', factVal=u'$36,983'),
    dict(factName='Population', factVal=u'11,216,708'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Greece.png",
        map="test/img/map-Greece.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Hungary', nameEN='Hungary'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Budapest'),
    dict(factName='GDP per capita (PPP)', factVal=u'$19,799'),
    dict(factName='Population', factVal=u'10,198,315'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Hungary.png",
        map="test/img/map-Hungary.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Italy', nameEN='Italy'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Rome'),
    dict(factName='GDP per capita (PPP)', factVal=u'$32,319'),
    dict(factName='Population', factVal=u'57,110,144'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Italy.png",
        map="test/img/map-Italy.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Latvia', nameEN='Latvia'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Riga'),
    dict(factName='GDP per capita (PPP)', factVal=u'$18,103'),
    dict(factName='Population', factVal=u'2,270,700'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Latvia.png",
        map="test/img/map-Latvia.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Lithuania', nameEN='Lithuania'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Vilnius'),
    dict(factName='GDP per capita (PPP)', factVal=u'$19,730'),
    dict(factName='Population', factVal=u'3,369,600'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Lithuania.png",
        map="test/img/map-Lithuania.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Luxembourg', nameEN='Luxembourg'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Luxembourg'),
    dict(factName='GDP per capita (PPP)', factVal=u'$81,511 (2006)'),
    dict(factName='Population', factVal=u'439,539'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Luxembourg.png",
        map="test/img/map-Luxembourg.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Malta', nameEN='Malta'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Valletta (de facto)'),
    dict(factName='GDP per capita (PPP)', factVal=u'$23,200'),
    dict(factName='Population', factVal=u'404,500'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Malta.png",
        map="test/img/map-Malta.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Netherlands', nameEN='Netherlands'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Amsterdam'),
    dict(factName='Seat of Government', factVal=u'The Hague'),
    dict(factName='GDP per capita (PPP)', factVal=u'$35,078'),
    dict(factName='Population', factVal=u'16,408,557'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Netherlands.png",
        map="test/img/map-Netherlands.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Poland', nameEN='Poland'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Warsaw'),
    dict(factName='GDP per capita (PPP)', factVal=u'$16,598'),
    dict(factName='Population', factVal=u'38,530,080'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Poland.png",
        map="test/img/map-Poland.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Portugal', nameEN='Portugal'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Lisbon'),
    dict(factName='GDP per capita (PPP)', factVal=u'$23,464 (2007)'),
    dict(factName='Population', factVal=u'10,148,259'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Portugal.png",
        map="test/img/map-Portugal.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Republic_of_Ireland', nameEN='Republic_of_Ireland'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Dublin'),
    dict(factName='GDP per capita (PPP)', factVal=u'$43,600'),
    dict(factName='Population', factVal=u'4,239,848'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Republic_of_Ireland.png",
        map="test/img/map-Republic_of_Ireland.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Romania', nameEN='Romania'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal='Bucharest (Bucure\\u015fti)'),
    dict(factName='GDP per capita (PPP)', factVal=u'$12,285,07'),
    dict(factName='Population', factVal=u'22,246,862'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Romania.png",
        map="test/img/map-Romania.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Slovakia', nameEN='Slovakia'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Bratislava'),
    dict(factName='GDP per capita (PPP)', factVal=u'$20,251'),
    dict(factName='Population', factVal=u'5,379,455'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Slovakia.png",
        map="test/img/map-Slovakia.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Slovenia', nameEN='Slovenia'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Ljubljana'),
    dict(factName='GDP per capita (PPP)', factVal=u'$28,010'),
    dict(factName='Population', factVal=u'1,964,036'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Slovenia.png",
        map="test/img/map-Slovenia.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Spain', nameEN='Spain'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Madrid'),
    dict(factName='GDP per capita (PPP)', factVal=u'$33,700 (2007)'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Spain.png",
        map="test/img/map-Spain.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='Sweden', nameEN='Sweden'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'Stockholm'),
    dict(factName='GDP per capita (PPP)', factVal=u'$34,735'),
    dict(factName='Population', factVal=u'8,587,353'),
        ],
    ),
    images=dict(
        flag="test/img/flag-Sweden.png",
        map="test/img/map-Sweden.png",
    ),
))

REPORT_DATA.append(dict(
    name="Country Information",
    fields=dict(name='United_Kingdom', nameEN='United_Kingdom'),
    tables=dict(
        facts=[
    dict(factName='Capital', factVal=u'London'),
    dict(factName='GDP per capita (PPP)', factVal=u'US$37,328'),
    dict(factName='Population', factVal=u'58,789,194'),
        ],
    ),
    images=dict(
        flag="test/img/flag-United_Kingdom.png",
        map="test/img/map-United_Kingdom.png",
    ),
))

# Data for header (appears on all pages)
REPORT_DATA.append(dict(
    name="#header",
    fields=dict(date="16 April 2008"),
))

# Data for footer (appears on all pages)
REPORT_DATA.append(dict(
    name="#footer",
    fields=dict(creator="David Chan", note="Based on articles from Wikipedia, licensed under the GNU Free Documentation License."),
))



if __name__ == '__main__':
    import OpenDocMill

    # Now we generate the output document, using the report data and the
    # report template.
    import time
    t = time.time()
    reportTemplate = OpenDocMill.Reader.readODT("test/in.odt")
    print time.time() - t, "loaded test/in.odt"

    t = time.time()
    reportTemplate.write("test/out.odt", REPORT_DATA)
    print time.time() - t, "written test/out.odt"


